
UUXX(1)                   MS-DOS/DR-DOS                UUXX(1)



NAME
     uuxx - encode or decopy files to facilitate transfering files
            via E-mail.  UUENCODE/UUDECODE  XXENCODE/XXDECODE

SYNOPSIS
     uuxx -e[uqx] [d:][path]infile [d:][path][encodefile]
     uuxx -d[uqx] [d:][path]encodedfile
     uuxx -a encodedfile

DESCRIPTION
     The uuxx utility encoded and decodes file so that they can be
     transfered via E-mail. 

     Files are encoded by taking sets of three 8-bit characters and
     translating them to four 6-bit characters, and then remapping 
     the 6-bit characters into characters with the 8-bit ASCII
     character set that are printable and transferable through e-mail
     systems.

     Two methods of remapping the characters are available.  UU
     encoding and XX encoding.  Both methods also include a count
     of the number of characters mapped on that line as the first
     character.

     The UU encoding method uses the 64 ASCII characters from space
     (ASCII 32) to underscore (ASCII 95) for the mapping of the 6-bit
     characters.  Since trailing spaces on the end of a line are 
     removed by some mail handling systems, a variation of UU encoding
     exists with re-maps the space to a left open quote (ASCII 96)
     character.

     The XX encoding method uses the following 64 ASCII characters:
     +-0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
     
     uuxx supports both UU encoding and XX encoding, and even the
     variation of UU encoding that replaces space with left open quote.


OPTIONS

     -a   Analyzes the input file and determines the encoding method
          that was used to encode it.  If sucessful, the program will
          ask you if you want to decode it.

     -d   This option is used to decode the file.  It is NOT normally
          necessary for any message headers or taglines to be removed
          before uudecoding.  The encoded block should have a 'begin'
          and an 'end' to mark the block.  The decoding method can be
          specified (uqx).

     -e   This option is used to specify that encoding is to be performed.  
          Both text and binary files may be encoded.  This option should
          used be combination with one of the options that determine the
          encoding method (uqx).  If only the input file is specified, the
          output file name will be the same, but one of the defualt 
          file extensions will be added.  For uuencoding, this will be 
          .UUE for xxencoding, this will be .XXE.

     -h   Prints a help screen.

     -p   Prevents overwriting a file that already exists.

     -q   Selects the uuencoding method that replaces the space 
          character (ASCII 32) with the open left quote (ASCII 96)
          character.  This is useful only for encoding, for decoding
          uuencoded files, either -du or -dq will work.

     -u   Selects the standard uuencoding method for encodeding or
          decoding.

     -x   Selects the xxencoding method for encoding or decoding.

FILES
     The input file name must always be given.  During encoding, the if
     the output file name is not specified, the input file name will be
     used and the file extension will be changed to .UUE or .UUX depending
     on the encoding method selected.  During decoding, if the output file
     name is not specified, the filename contained inside the input file
     will be used.  (Note: if the encoded file was created on an operating
     system that uses long filenames, and the included filename exceeds the
     8.3 dos format, you will have to specify the output filename)

SEE ALSO
     uuencode(1), uudecode(1), xxencode(1), xxdecode(1)

COPYRIGHT
     Copyright (c) 1994 TSCNET Software Designs.
     All rights reserved.

     Redistribution and use in binary form is permitted provided
     that the above copyright notice is duplicated in all such
     forms and that any documentation, advertising materials,
     and other materials related to such distribution and use
     acknowledge that the software was developed by TSCNET.

     This software is provided as shareware.  If you find this
     program useful, please see the file REGISTER.DOC included 
     on the orgigial disk or archive.

     THE SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS
     OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE
     IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PAR-
     TICULAR PURPOSE.

AUTHOR
     Mike Jackson
     TSCNET Software Designs
     TSCNET, Inc.
     mhjack@tscnet.eskimo.com

     POB      
     Silverdale, Wa 98xxx

     TSCNET Online Services
     (206) 692-2388 [N81] (300-14400 baud)
















































Printed 2/26/90                                                 4



